Package twisted :: Package protocols :: Module imap4 :: Class Command

[show private | hide private]
[frames | no frames]

## Class Command

Method Summary
| `__init__(self, command, args, continuation, wantResponse)`
| `finish(self, lastLine, unusedCallback)`

Class Variable Summary
`NoneType` | `defer`
`tuple` | `_1_RESPONSES`
`tuple` | `_2_RESPONSES`
`tuple` | `_OK_RESPONSES`

Class Variable Details

### defer

  Type:
    `NoneType`
  Value:

        None

### _1_RESPONSES

  Type:
    `tuple`
  Value:

        ('CAPABILITY', 'FLAGS', 'LIST', 'LSUB', 'STATUS', 'SEARCH')

### _2_RESPONSES

  Type:
    `tuple`
  Value:

        ('EXISTS', 'EXPUNGE', 'FETCH', 'RECENT')

### _OK_RESPONSES

  Type:
    `tuple`
  Value:

        ('UIDVALIDITY', 'READ-WRITE', 'READ-ONLY')

Generated by Epydoc 1.1 on Thu May 8 13:18:47 2003 | http://epydoc.sf.net